Problème de mise à jour wordpress en 4.6

  • WordPress :4.6
  • Statut : non résolu
13 sujets de 1 à 13 (sur un total de 13)
  • Auteur
    Messages
  • #2255721
    Clémentine
    Participant
    Initié WordPress
    39 contributions

    Bonjour,

    Ma configuration WP actuelle

    • Version de PHP/MySQL : 5.6
    • Thème utilisé : Twenty sixteen
    • Extensions en place : toutes desactivées sauf Health Check & Troubleshooting et PHP Compatibility Checker
    • Nom de l’hébergeur : Amen
    • Adresse du site : http://www.haut-pave.online/galerie

    Problème(s) rencontré(s) :

    Bonjour,

    Quand je mets à jour la version de wordpress de 4.5.14 à 4.6 j’obtiens une page blanche, alors que tout tourne bien en 4.5.14.

    C’est un vieux site qui n’a pas été mis  à jour depuis longtemps, j’y vais pas à pas.

    Et pourtant dans wp-config j’ai bien mis debug:true

    Aïe… voyez-vous quel pourrait être le problème ?

    Merci d’avance,

    Clémentine

     

    • Ce sujet a été modifié le il y a 2 mois et 1 week par  ouiouiphoto.
    • Ce sujet a été modifié le il y a 2 mois et 1 week par  Flobogo. Raison: déplacé en rubrique "support"
    #2255725
    ouiouiphoto
    Participant
    Maître WordPress
    1529 contributions

    Bonjour

    Ton objectif est de la mettre a jour jusqu’à quelle version. La dernière ? Avant de tenter une mise a jour le WP a tu mis a jour le thème et les extensions ?  Moi je ferais thème, extensions. La normalement ca doit continuer a tourner. Ensuite je ferais WP. Si ce marche pas je désactive les extensions pour voir si c’est une vielle extension qui coince. Ensuite une fois des extensions validées je ferais le php

    #2255808
    Clémentine
    Participant
    Initié WordPress
    39 contributions

    Bonjour,

    Oui, je voudrais récupérer tous les articles en mettant à jour progressivement WordPress. Je m’occupe de wordpress maintenant.

    J’ai mis à jour les thèmes et les plugins, ça tournait bien avec wordpress 4.5.14.

    Mais ça bloque à 4.6…

    Auriez-vous une idée ?

    Merci !

    • Cette réponse a été modifiée le il y a 2 mois et 1 week par  Flobogo. Raison: suppression des balises de code inutiles
    #2255829
    ouiouiphoto
    Participant
    Maître WordPress
    1529 contributions

    Si ce marche pas je désactive les extensions pour voir si c’est une vielle extension qui coince

    Tu as essayé ? Il faut renommer le répertoire wp-content/plugins en autre chose. Ca desactivera toutes les extensions. Si ca remarche tu remet le nom initial et tu renomme les sous répertoires un a un jusqu’a ce que cela remarche

    #2255838
    Clémentine
    Participant
    Initié WordPress
    39 contributions

    Oui j’ai bien desactivé les plugins en renommant le fichier plugin via FTP.

    Mais j’ai malheureusement toujours la page blanche avec WordPress 4.5.17…

    #2255845
    ouiouiphoto
    Participant
    Maître WordPress
    1529 contributions

    Si tu n’as plus d’extensions et que ton thème est a jour je n’ai plus vraiment d’idées.

    #2255996
    Flobogo
    Modérateur
    Maître WordPress
    15469 contributions

    Bonjour,

    De mon côté, je ne suis pas d’accord avec ouiouiphoto. La priorité, c’est de mettre à jour WP, et (dans votre cas), le thème en parallèle, puisque c’est un thème par défaut. (si ça avait été un autre thème, j’aurais conseillé de mettre un twenty-XX le temps de faire les MAJ)

    Là, vous avez un thème par défaut, mais qui évolue en fonction des versions de WP : si vous mettez à jour le thème Twenty-Sixteen aussi loin que pour un WP 5.x, alors que le vôtre est en WP 4.5.x, c’est normal que ça coince. Un peu comme si vous mettiez de l’éthanol dans une vieille Deux-Deux-Ch’

    Bref :

    • commencez par mettre à jour la version de PHP en 7.0 (pas plus, c’est suffisant même pour WP 5.1, même si PHP 7.1 c’est mieux)
    • désactivez toutes vos extensions (sauf Akismet), et n’y touchez plus jusqu’à la fin
    • revenez à la version WP 4.5.14, avec un Twenty-Sixteen provenant de l’instal’ 4.5.14
    • passez ensuite en WP 4.6.11 (sortie le 22/05/18, comme la 4.5.14 … sauf que c’est déjà une 4.6)
    • si ça fonctionne (WP + thème twenty-Sixteen), passez en WP 4.7.10, puis 4.8.6, puis 4.9., et enfin en 4.9.8 …
    • à ce stade, vous pouvez réactiver vos extensions une par une, en testant régulièrement le fonctionnement de WP et les différentes fonctionnalités liées aux extensions. Celles qui ne fonctionnent plus, désactivez-les … et cherchez une extension de remplacement
    • Et ensuite, on recommence : désactivez à nouveau les extensions, et faites le grand saut en WP 5.0.1, puis 5.0.3, et enfin 5.1.1
    • vous pourrez alors passer en PHP 7.1, puis mettre à jour les extensions, les réactivez, et … tester !!

    Bon courage, allez-y doucement. Qui va piano, va sano

    #2255998
    Flobogo
    Modérateur
    Maître WordPress
    15469 contributions

    Au fait, 2 remarques :

    • je déplace en support général, je ne vois pas pourquoi mettre ce topic en support des extensions
    • SVP, ne collez pas du HTML ici, ça fout le bazar
    #2256218
    Clémentine
    Participant
    Initié WordPress
    39 contributions

    Ok merci beaucoup, je vais essayer comme ça !

    #2256223
    Clémentine
    Participant
    Initié WordPress
    39 contributions

    Aîe c’est vraiment bizarre, j’arrive à passer la version 4.5.17 avec Twenty sixteen 1.6 c’est à dire équivalent de cette période, PHP 5.6.et plugins desactivé

    Quand je passe à WordPress 4.6, j’ai un écran blan, idem avec 4.6.11..

    C’est peut-être un problème avec ma base de données sinon ?

    #2256564
    Clémentine
    Participant
    Initié WordPress
    39 contributions

    J’ai enfin pu récupérer un message d’erreur :

    <b>Fatal error</b>: Call to undefined function apply_filters() in <b>/home/lt39k48i/public_html/galerie/wp-includes/load.php</b> on line <b>317</b>

    J’ai trouvé sur un forum que cette erreur pourrait être liée à une incompatibilité de version de WP-CLI .

    Ou pourrais-je trouver ce wp-CLI ? et changer la version ?

    Merci pour votre réponse !

    #2256566
    Clémentine
    Participant
    Initié WordPress
    39 contributions

    En fait c’est bon, j’avais modifié les fichiers wp-admin et wp-includes, de la version 4.6.5, mais je n’avais pas touché aux fichiers de la racine qui était encore en 4.5.

    Il fallait que je mette wp-settings de la version 4.6.5 pour que cela marche et mette à jour à la base de données…

    Ouf..

    Je continue mes mises à jour..

    #2256658
    Flobogo
    Modérateur
    Maître WordPress
    15469 contributions

    Oui, il faut bien vérifier à chaque étape qu’on n’a rien oublié. 🤔

13 sujets de 1 à 13 (sur un total de 13)
  • Vous devez être connecté pour répondre à ce sujet.